package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

import java.util.Date;

public class SensitivityInfo extends ExternalComponent {

	
	
	private Boolean   sensityFlag;
	
	
	/**
	 * OBX(Sensitive)/14/Z11
	 */
    private Date sensitivityChangeDate = null;

    /**
     * EE Service Field 
     * SENSITIVITY FLAG SET SRC ID
     */
    private String sensitivityChangeSource = null;

    /**
     * OBX(Sensitive)/16/Z11
     */
    private String sensitivityChangeSite = null;

	public Date getSensitivityChangeDate() {
		return sensitivityChangeDate;
	}

	public void setSensitivityChangeDate(Date sensitivityChangeDate) {
		this.sensitivityChangeDate = sensitivityChangeDate;
	}

	public String getSensitivityChangeSite() {
		return sensitivityChangeSite;
	}

	public void setSensitivityChangeSite(String sensitivityChangeSite) {
		this.sensitivityChangeSite = sensitivityChangeSite;
	}

	public String getSensitivityChangeSource() {
		return sensitivityChangeSource;
	}

	public void setSensitivityChangeSource(String sensitivityChangeSource) {
		this.sensitivityChangeSource = sensitivityChangeSource;
	}

	public Boolean getSensityFlag() {
		return sensityFlag;
	}

	public void setSensityFlag(Boolean sensityFlag) {
		this.sensityFlag = sensityFlag;
	}
}
